import { flags } from '@oclif/command';
import Base from '../base';
export default class RunBase extends Base {
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    static flags: {
        watch: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        extras: flags.IOptionFlag<string>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    cmd: string;
    watch: boolean;
    extras: string;
    preInit(): Promise<any>;
    initialize(): Promise<void>;
    run(): Promise<void>;
}
