import { flags } from '@oclif/command';
import RunBase from '../base/run';
export default class Run extends RunBase {
    static description: string;
    static examples: string[];
    static flags: {
        rebuild: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        install: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        watch: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        extras: flags.IOptionFlag<string>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    rebuild: boolean;
    install: boolean;
    preInit(): Promise<void>;
    preRun(): Promise<void>;
    run(): Promise<void>;
}
